#!/bin/sh
#
# update_index.sh - simple indexer of waisindex
#
# written by Hajime BABA <baba@kusastro.kyoto-u.ac.jp>
# (C) Copyright 1997 Hajime BABA. All rights reserved.
# 
#
# This script is called from cron. Sample crontab entry:
#
#   0 0 * * * /home/baba/wais-sources/update_index.sh
#

indexname="mail"

waisindex="/usr/local/bin/waisindex";
options="-japanese -l 5 -t fields";
list="list.`date '+%y%m%d'`"

mailfolder="`/usr/local/bin/mh/mhpath +`"

#
cd ${HOME}/wais-sources

find $mailfolder -mtime -1 -type f -name "[1-9]*" -print > $list

cat $list | xargs $waisindex -a $options -d $dbname

## EOF
